function [adjustedToa] = addDrift(pToa, pOffsetBegin, pDrift, pStartTimestep)
%ADDFLOATDRIFT Summary of this function goes here
%   Detailed explanation goes here

%% Prepare return variable
adjustedToa = pToa;

%% Parameter check
if isnan(pOffsetBegin)
    pOffsetBegin = 0;
end
if isnan(pDrift)
    pDrift = 0;
end
if pOffsetBegin == 0 && pDrift == 0
    return;
end

if nargin < 4
    pStartTimestep = 0;
end

if length(pStartTimestep) > 1
    adjustedToa = artoa.toa.atGivenTimesteps(pToa, pStartTimestep, pOffsetBegin, pDrift);
    return;
end

%% Calculate offset for every toa

adjustedToa = artoa.toa.atTimestep(pToa, pStartTimestep, pOffsetBegin, pDrift);


end

